{% extends "wiki/base.html" %}
{% load i18n static wiki_tags %}

{% block wiki_pagetitle %}{% translate "Password reset: Enter new password" %}{% endblock%}

{% block wiki_contents %}
    {% if validlink %}

        <h1>{% translate "Password reset: Enter new password" %}</h1>
        
        <form class="auths-form" method="post">
            {% csrf_token %}
            {% wiki_form form %}
            <div class="form-group form-actions">
                <div class="col-lg-2"></div>
                <div class="col-lg-10">
                    <button type="submit" name="save_changes" class="btn btn-primary btn-lg">
                        <span class="fa fa-lock"></span>
                        {% translate "Confirm" %}
                    </button>
                </div>
            </div>
        </form>
        
    {% else %}

        <h1>{% translate "Password reset: Incorrect link" %}</h1>

        <p>{% translate "This modification link is not incorrect or have already been used." %}</p>
        
        <a class="reset-password" href="{% url 'auth_reset_password' %}">{% translate "Ask for a new password reset" %}</a>
        
    {% endif %}
{% endblock %}
